dcd-server(1)

NAME
dcd-server - autocompletion server for the D programming language

SYNOPSIS
dcd-server [-p|--port portNumber] [-I] [-h|--help] [--version]

DESCRIPTION
dcd-server caches information about D source files that were found

OPTIONS
-p, --port portNumber
    Choose the port number on which dcd-server listens.
-h, --help
    Prints a help message.
--version
    Prints dcd-server's version number and exits.
-I directory
    Includes directory in the list of directories to scan for source files.

FILES
dcd-server can be configured through the use of a file called dcd.conf This file should be placed in one of the following locations:

•   $XDG_CONFIG_HOME/dcd/dcd.conf

•   $HOME/.config/dcd/dcd.conf
Each line in the file should be a path to search for D source files. A line in dcd.conf is equivalent to passing that same line to dcd-server with the -I option.

AUTHOR
Written by Brian Schott (@Hackerpilot on Github)

BUGS
Please use the issue tracker located at https://github.com/Hackerpilot/DCD/issues

SEE ALSO
dcd-client(1)